__doc__ = '''Product ZGDChart'''

from ImageFile import ImageFile

# Import the module(s) containing product-specific objects
import ZGDChart

# Product meta-data:

# Names of objects added by this product:
meta_types=(
	{'name':'ZGDChart','action':'manage_addZGDChartForm'},
	)

# Attributes (usually "methods") to be added to folders to support
# creating objects:
methods={
	'manage_addZGDChartForm': ZGDChart.addZGDChartForm,
	'manage_addZGDChart':     ZGDChart.addZGDChart
	} 

# Permission to be added to folders:
__ac_permissions__=(
	# To add items:
	('Add ZGDCharts', ('manage_addZGDChartForm','manage_addZGDChart')),
	# To manipulate item permissions at a high level.  Note that the
	# list of objects is empty, since we are just providing a place
	# to put acquired settings:
	('Change ZGDCharts', ()),
	)

# Define shared web objects that are used by products.
# This is usually (always ?) limited to images used 
# when displaying an object ub contents lists.
# These objects are accessed as:
#   <!--#var SCRIPT_NAME-->/misc_/Product/name
misc_={
	'Main'		: ImageFile('icon.gif',globals()),
        'chart_types'    : ["Pie", "Area", "Bar", "Histogram", "Histogram_percent", "Line" ]
	}
